Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::CompositeSource::iterator Class Reference

List of all members.

## Public Types
enum | IteratorMode { ACTIVE, ALL }
## Public Member Functions
| iterator (CompositeSource *composite=0, IteratorMode mode=ALL)
| iterator (const iterator &rhs)
iterator & | operator= (const iterator &rhs)
bool | operator== (const iterator &rhs) const
bool | operator!= (const iterator &rhs) const
bool | valid () const
CompositeSource & | operator * ()
CompositeSource * | operator-> ()
const CompositeSource & | operator * () const
const CompositeSource * | operator-> () const
iterator & | operator++ ()
iterator | operator++ (int)
bool | advance ()
## Protected Types
typedef std::vector< IteratorPosition > | PositionStack
## Protected Attributes
IteratorMode | _iteratorMode
PositionStack | _positionStack

## Member Typedef Documentation

typedef std::vector<IteratorPosition> osgTerrain::DataSet::CompositeSource::iterator::PositionStack`[protected]`

## Member Enumeration Documentation

enum osgTerrain::DataSet::CompositeSource::iterator::IteratorMode

  | Enumeration values:
  ACTIVE |
  ALL |

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeSource::iterator::iterator | ( | CompositeSource * | composite = 0,
|  | IteratorMode | mode = ALL
| ) | `[inline]`

osgTerrain::DataSet::CompositeSource::iterator::iterator | ( | const iterator & | rhs | ) | `[inline]`

## Member Function Documentation

bool osgTerrain::DataSet::CompositeSource::iterator::advance | ( |  | ) | `[inline]`

const CompositeSource& osgTerrain::DataSet::CompositeSource::iterator::operator * | ( |  | ) | const`[inline]`

CompositeSource& osgTerrain::DataSet::CompositeSource::iterator::operator * | ( |  | ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::operator!= | ( | const iterator & | rhs | ) | const`[inline]`

iterator osgTerrain::DataSet::CompositeSource::iterator::operator++ | ( | int |  | ) | `[inline]`

iterator& osgTerrain::DataSet::CompositeSource::iterator::operator++ | ( |  | ) | `[inline]`

const CompositeSource* osgTerrain::DataSet::CompositeSource::iterator::operator-> | ( |  | ) | const`[inline]`

CompositeSource* osgTerrain::DataSet::CompositeSource::iterator::operator-> | ( |  | ) | `[inline]`

iterator& osgTerrain::DataSet::CompositeSource::iterator::operator= | ( | const iterator & | rhs | ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::operator== | ( | const iterator & | rhs | ) | const`[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::valid | ( |  | ) | const`[inline]`

## Member Data Documentation

IteratorMode osgTerrain::DataSet::CompositeSource::iterator::_iteratorMode`[protected]`

PositionStack osgTerrain::DataSet::CompositeSource::iterator::_positionStack`[protected]`

The documentation for this class was generated from the following file:

- DataSet